/*
 * File         : Plugin_procs.h
 * Author       : Tomasz Stachowiak
 * Created      : Mon Jul 28 18:08:51 1997
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

#ifndef __PLUGIN_PROCS_H
#define __PLUGIN_PROCS_H

#include "Form.h"

#define STOP_STATE	0
#define START_STATE	1

void InitApplication(XtAppContext apc);
void QuitApplication();
void send_pushed();
void scale_change(int value);
void mic_scale_change(int value);
void setADPCM();
void setGSM();
short audioGetLevel(char *buffer, int samples);
void registerForm(Form *f);
Pixel getColor(Widget w, char *name);

#endif

